#!/bin/bash

SERVERNAME=$1
DOMAIN=rut.sunet.se
OS_CLOUD=sto4-rut

SERVER_JSON="$(openstack server list -f json \
              | jq -r ".[] | select(.Name==\"$SERVER_NAME\")")"

ADDRESSES="$(echo "$SERVER_JSON" \
             | jq -r '.Networks.public[]')"

IPV4=""
IPV6=""

for addr in $ADDRESSES; do
    if [[ "$addr" == *:* ]]; then
        IPV6="$addr"
    else
        IPV4="$addr"
    fi
done

knotctl add -r A -z $DOMAIN -n ${SERVERNAME}. -d $IPV4
knotctl add -r AAAA -z $DOMAIN -n ${SERVERNAME}. -d $IPV6
